# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: 'Smoke test - exec provider'

providers:
  - 'exec:echo "Echo from exec: {{prompt}}"'

prompts:
  - 'Hello {{name}}'

tests:
  - vars:
      name: World
    assert:
      - type: contains
        value: Echo from exec
